Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 119172 - New web app for JBoss 4.2 restricted to J2EE 1.4
New web app for JBoss 4.2 restricted to J2EE 1.4
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: JBoss
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Hejl
issues@serverplugins
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 05:39 UTC by bdlink
Modified: 2008-09-11 09:18 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bdlink 2007-10-17 05:39:53 UTC
JBoss 4.2 Added as server instance (Called JBoss Application Server).  Using File/New Project.../Web/Web Application. 
Change Server from Glassfish to JBoss Application Server.  Java EE version changes to J2EE 1.4 and cannot be changed to
J2EE 1.5 (only J2EE 1.4 appears on dropdown list). Selecting (on next page) Visual Java Server Faces displays error
message (due to J2EE 1.4 being selected).

JBoss 4.2 should allow selection of J2EE 1.5.
Comment 1 Petr Hejl 2008-04-17 16:12:57 UTC
Fixed d172015f9c67.
Comment 2 Radim Roska 2008-04-22 15:37:50 UTC
VERIFIED
Comment 3 pslechta 2008-04-28 11:52:46 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/096f4548e49b
Comment 4 Petr Hejl 2008-04-28 12:00:56 UTC
Whole fix consits of 2 changesets (the second wasn't mentioned by my mistake). Verification made by rroska is valid for
both changesets applied.

d172015f9c67
2d2aaf8c5fe5
Comment 5 pslechta 2008-04-28 12:40:15 UTC
Second part of this fix was ported into release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/1ccc0bc6d8a2
Comment 6 genk 2008-09-11 02:38:20 UTC
Hello
I'm using:
- NetBeans 6.1 build 200805300101 with all updates applied
- JBoss 4.2.3
- Windows XP

I'm having the same problem: 
- create new project as Ent. application 
- Java EE version changes to J2EE 1.4 and cannot be changed to
J2EE 1.5 (only J2EE 1.4 appears on dropdown list). 

Am I doing anything wrong?
Comment 7 Petr Hejl 2008-09-11 09:18:23 UTC
This issue allowed WEB application to be EE5. As you are creating Enterprise app it is no affected by this.

JBoss4 does not support EE5 EAR.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo